#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
SIFS_User_HomeDir=$1
echo SIFS_User_HomeDir=$SIFS_User_HomeDir
BigData_Artifacts_Location=$2
echo BigData_Artifacts_Location=$BigData_Artifacts_Location
User=$3
echo User=$User
Group=$4
echo Group=$Group
script_Location=$5
echo script_Location=$script_Location

sudo mkdir -p $SIFS_User_HomeDir/lib
sudo mkdir -p $SIFS_User_HomeDir/frontrunning

sudo sudo cp -avr $BigData_Artifacts_Location/FrontRunning_Sample/*.csv $SIFS_User_HomeDir/frontrunning
sudo sudo cp -avr $BigData_Artifacts_Location/FrontRunning_Sample/*.txt $SIFS_User_HomeDir/frontrunning

#not usedanywhere
#sudo cp -avr $BigData_Artifacts_Location/lib/analystics.ruleinference-2.0.3-SNAPSHOT.jar  $SIFS_User_HomeDir/lib
#base
#sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.kafkasecurity-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/commons-jexl3-3.0.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/commons-logging-1.2.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/commons-math-2.1.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/httpclient-4.5.2.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/httpcore-4.4.4.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/json-1.8.jar $SIFS_User_HomeDir/lib
#base
#sudo cp -avr $BigData_Artifacts_Location/lib/db2jcc4.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/kafka_2.11-0.10.0.1.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/kafka-clients-0.10.0.1.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/log4j-1.2.17.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.offmarketinference-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#not needed
#sudo cp -avr $BigData_Artifacts_Location/lib/org.eclipse.recommenders.jayes-2.5.0-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/org.eclipse.recommenders.jayes.io-2.5.0-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/org.eclipse.recommenders.jayes.transformation-2.5.0-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/services.sifsevidencepersistence-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/services.sifslogin-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.sifsservicesclient-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/sifs.spark.properties $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.sifstradeevidenceextractor-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/services.solrpersistence-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/spark-streaming-kafka-0-10_2.11-2.1.1.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.tradeevidencepersistence-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.spoofingevidencecollector-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.pndevidence-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.inference-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib

#frontrunning jars
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.frontrunninginference-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
#sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.partyriskscoring-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.tradedataprocessor-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.traderiskindicators-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/FTR-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib

#copyScripts
#sudo cp -avr $script_Location/deploy_spark_artifacts_nonsecure_203.sh $SIFS_User_HomeDir/
#sudo cp -avr $script_Location/deploy_spark_artifacts_secure_203.sh $SIFS_User_HomeDir/
#sudo cp -avr $script_Location/runspark*.sh $SIFS_User_HomeDir/

#permission changes for folders and files

sudo chown -R $User:$Group $SIFS_User_HomeDir/lib
sudo chmod -R 755 $SIFS_User_HomeDir/lib
sudo chown -R $User:$Group $SIFS_User_HomeDir/frontrunning
sudo chmod -R 755 $SIFS_User_HomeDir/frontrunning

sudo chown $User:$Group $SIFS_User_HomeDir/frontrunning/*.csv
sudo chmod 755 $SIFS_User_HomeDir/frontrunning/*.csv
sudo chown $User:$Group $SIFS_User_HomeDir/frontrunning/*.txt
sudo chmod 755 $SIFS_User_HomeDir/frontrunning/*.txt

#sudo chown -R $User:$Group $SIFS_User_HomeDir/deploy_spark_artifacts_*.sh
#sudo chmod -R 755 $SIFS_User_HomeDir/deploy_spark_artifacts_*.sh
#sudo chown -R $User:$Group $SIFS_User_HomeDir/runspark*.sh
#sudo chmod -R 755 $SIFS_User_HomeDir/runspark*.sh


kinit -kt /etc/security/keytabs/sifsuser.keytab sifsuser@IBM.COM

echo "==============================="
echo "Creating_Required_Folders"

hdfs dfs -mkdir -p /user/sifsuser/order
hdfs dfs -mkdir -p /user/sifsuser/execution
hdfs dfs -mkdir -p /user/sifsuser/positions
hdfs dfs -mkdir -p /user/sifsuser/trade
hdfs dfs -mkdir -p /user/sifsuser/EOD
hdfs dfs -mkdir -p /user/sifsuser/sifsdata
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/position_summary
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/positions
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/pump_dump
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/ticker_summary
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/trader_scores
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/transactions
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/marketReference

echo "==============================="
echo "Copy Trade big data Files to HDFS"

#hadoop fs -put /home/sifsuser/initPositions.csv /user/sifsuser/positions
hadoop fs -put /home/sifsuser/frontrunning/Order_2018-01-24_FR.csv /user/sifsuser/order/
hadoop fs -put /home/sifsuser/frontrunning/Order_2018-01-24_FIX.txt /user/sifsuser/order/
hadoop fs -put /home/sifsuser/frontrunning/trade_summary_2018-01-24.csv /user/sifsuser/trade/
hadoop fs -put /home/sifsuser/frontrunning/employees.csv /user/sifsuser/trade/

echo "Copy Artifacts Done!"