#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
sudo su - sifsuser -c "
echo "==============================="
echo "Creating_Required_Folders"
hdfs dfs -mkdir /user/sifsuser/order
hdfs dfs -mkdir /user/sifsuser/execution
hdfs dfs -mkdir /user/sifsuser/positions
hdfs dfs -mkdir /user/sifsuser/trade
hdfs dfs -mkdir /user/sifsuser/EOD
hdfs dfs -mkdir /user/sifsuser/sifsdata
hdfs dfs -mkdir /user/sifsuser/sifsdata/position_summary
hdfs dfs -mkdir /user/sifsuser/sifsdata/positions
hdfs dfs -mkdir /user/sifsuser/sifsdata/pump_dump
hdfs dfs -mkdir /user/sifsuser/sifsdata/ticker_summary
hdfs dfs -mkdir /user/sifsuser/sifsdata/trader_scores
hdfs dfs -mkdir /user/sifsuser/sifsdata/transactions
hdfs dfs -mkdir /user/sifsuser/sifsdata/marketReference

echo "==============================="
echo "Copying_Files"
hdfs dfs -put /home/sifsuser/initPositions.csv /user/sifsuser/positions

echo "==============================="
echo "PnDCollectEvidence"
/opt/install/spark202/bin/spark-submit --class com.ibm.sifs.evidence.PnDCollectEvidence  --master yarn --deploy-mode cluster  --driver-memory 1g --executor-memory 2g --jars /opt/install/spark202/jars/spark-yarn_2.11-2.0.2.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/bigdata.inference-2.0.2-SNAPSHOT.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka_2.11-0.10.0.0.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka-clients-0.10.0.0.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/:/home/sifsuser/lib/com.ibm.sifs.security.bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/opt/install/spark202/jars/*"  --conf="spark.yarn.jars=/opt/install/spark202/jars/spark-yarn_2.11-2.0.2.jar" --conf="spark.executor.extraClassPath=/home/sifsuser/lib/bigdata.inference-2.0.2-SNAPSHOT.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka_2.11-0.10.0.0.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka-clients-0.10.0.0.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/:/home/sifsuser/lib/com.ibm.sifs.security.bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/opt/install/spark202/jars/*"  /home/sifsuser/lib/bigdata.pndevidence.jar /home/sifsuser/lib/sifs.spark.properties /dev/null 2>&1 &

echo "==============================="
echo "SpoofingEvidence"
/opt/install/spark202/bin/spark-submit --class com.ibm.sifs.evidence.SpoofingEvidence --master yarn --deploy-mode cluster --driver-memory 1g --executor-memory 2g -- jars /opt/install/spark202/jars/spark-yarn_2.11-2.0.2.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/bigdata.sifsservicesclient.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka_2.11-0.10.0.0.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka-clients-0.10.0.0.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/lib/com.ibm.sifs.security.bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/com.ibm.sifs.security.bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/analytics.ruleinference-2.0.2.jar:/home/sifsuser/lib/commons-jexl3-3.0.jar:/home/sifsuser/lib/commons-math-2.1.jar:/home/sifsuser/lib/org.eclipse.recommenders.jayes.io-2.5.0-SNAPSHOT.jar:/home/sifsuser/lib/org.eclipse.recommenders.jayes-2.5.0-SNAPSHOT.jar:/home/sifsuser/lib/:/opt/install/spark202/jars/*" --conf="spark.yarn.jars=/opt/install/spark202/jars/spark-yarn_2.11-2.0.2.jar" --conf="spark.executor.extraClassPath=/opt/kafka_2.11-0.10.0.0/libs/kafka_2.11-0.10.0.0.jar:/opt/kafka_2.11-0.10.0.0/libs/kafka-clients-0.10.0.0.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/lib/com.ibm.sifs.security.bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/bigdata.sifsservicesclient-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/com.ibm.sifs.security.bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/analytics.ruleinference-2.0.2.jar:/home/sifsuser/lib/commons-jexl3-3.0.jar:/home/sifsuser/lib/commons-math-2.1.jar:/home/sifsuser/lib/
org.eclipse.recommenders.jayes.io-2.5.0-SNAPSHOT.jar:/home/sifsuser/lib/org.eclipse.recommenders.jayes-2.5.0-SNAPSHOT.jar:/home/sifsuser/lib/:/opt/install/spark202/jars/*" /home/sifsuser/lib/bigdata.spoofingevidencecollector.jar /home/sifsuser/lib/sifs.spark.properties 360 120 /dev/null 2>&1 &
"
