#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
echo "==============================="
echo "Creating_Required_Folders"
hdfs dfs -mkdir /user/sifsuser/order
hdfs dfs -mkdir /user/sifsuser/execution
hdfs dfs -mkdir /user/sifsuser/positions
hdfs dfs -mkdir /user/sifsuser/trade
hdfs dfs -mkdir /user/sifsuser/EOD
hdfs dfs -mkdir /user/sifsuser/sifsdata
hdfs dfs -mkdir /user/sifsuser/sifsdata/position_summary
hdfs dfs -mkdir /user/sifsuser/sifsdata/positions
hdfs dfs -mkdir /user/sifsuser/sifsdata/pump_dump
hdfs dfs -mkdir /user/sifsuser/sifsdata/ticker_summary
hdfs dfs -mkdir /user/sifsuser/sifsdata/trader_scores
hdfs dfs -mkdir /user/sifsuser/sifsdata/transactions
hdfs dfs -mkdir /user/sifsuser/sifsdata/marketReference

echo "==============================="
echo "Copying_Files"
#hdfs dfs -put /home/sifsuser/marketReference_2017-02-22.csv /user/sifsuser/transactions
#hdfs dfs -put /home/sifsuser/transactions_2017-02-22.csv /user/sifsuser/marketReference
hdfs dfs -put /home/sifsuser/initPositions.csv /user/sifsuser/positions

echo "==============================="
echo "PnDCollectEvidence"
/home/sifsuser/spark-2.1.1-bin-hadoop2.7/bin/spark-submit --class com.ibm.sifs.evidence.PnDCollectEvidence  --master yarn --deploy-mode cluster  --driver-memory 1g --executor-memory 2g --keytab /etc/security/keytabs/sifsuser.keytab --principal sifsuser@IBM.COM --jars /home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/bigdata.inference-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*"  --conf="spark.yarn.jars=/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar" --conf="spark.executor.extraClassPath=/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/bigdata.inference-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*"  /home/sifsuser/lib/bigdata.pndevidence.jar /home/sifsuser/lib/sifs.spark.properties /dev/null 2>&1 &

echo "==============================="
echo "SpoofingEvidence"
/home/sifsuser/spark-2.1.1-bin-hadoop2.7/bin/spark-submit --class com.ibm.sifs.evidence.SpoofingEvidence  --master yarn --deploy-mode cluster  --driver-memory 1g --executor-memory 2g --keytab /etc/security/keytabs/sifsuser.keytab --principal sifsuser@IBM.COM --jars /home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*" --conf="spark.yarn.jars=/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar" --conf="spark.executor.extraClassPath=/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*"  /home/sifsuser/lib/bigdata.spoofingevidencecollector.jar /home/sifsuser/lib/sifs.spark.properties 360 120 /dev/null 2>&1 &

echo "==============================="
echo "TradeEvidencePersistence_OffMarket"
/home/sifsuser/spark-2.1.1-bin-hadoop2.7/bin/spark-submit --class com.ibm.sifs.trade.persistence.TradeEvidencePersistence --master yarn --deploy-mode cluster --driver-memory 1g --executor-memory 2g --keytab /etc/security/keytabs/sifsuser.keytab --principal sifsuser@IBM.COM --jars /home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/*:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*" --conf="spark.driver.extraJavaOptions=-Djavax.net.ssl.trustStore=/home/sifsuser/security/SIDB2StreamsClient.jks -Djavax.net.ssl.trustStorePassword=SurveillanceInsightPass2016" --conf="spark.yarn.jars=/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar" --conf="spark.executor.extraClassPath=/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.2-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/lib/bigdata.sifsservicesclient-2.0.2-SNAPSHOT.jar:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*" --conf="spark.executor.extraJavaOptions=-Djavax.net.ssl.trustStore=/home/sifsuser/security/SIDB2StreamsClient.jks -Djavax.net.ssl.trustStorePassword=SurveillanceInsightPass2016" /home/sifsuser/lib/bigdata.tradeevidencepersistence-2.0.2-SNAPSHOT.jar /home/sifsuser/lib/sifs.spark.properties /dev/null 2>&1 &

echo "==============================="
echo "OffMarketInference"
#/home/sifsuser/spark-2.1.1-bin-hadoop2.7/bin/spark-submit --class com.ibm.sifs.trade.offmarket.OffMarketInference --master yarn --deploy-mode cluster --keytab /etc/security/keytabs/sifsuser.keytab --principal sifsuser@IBM.COM --jars /home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/*:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*" --conf="spark.driver.extraJavaOptions=-Djavax.net.ssl.trustStore=/home/sifsuser/security/SIDB2StreamsClient.jks -Djavax.net.ssl.trustStorePassword=SurveillanceInsightPass2016"  --conf="spark.yarn.jars=/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/spark-yarn_2.11-2.1.1.jar" --conf="spark.executor.extraClassPath=/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.3-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/lib/bigdata.sifsservicesclient-2.0.3-SNAPSHOT.jar:/home/sifsuser/spark-2.1.1-bin-hadoop2.7/jars/*" --conf="spark.executor.extraJavaOptions=-Djavax.net.ssl.trustStore=/home/sifsuser/security/SIDB2StreamsClient.jks -Djavax.net.ssl.trustStorePassword=SurveillanceInsightPass2016" /home/sifsuser/lib/bigdata.offmarketinference-2.0.3-SNAPSHOT.jar /home/sifsuser/lib/sifs.spark.properties 2017-02-22 TXN09 TXN05 OFFMK Off-Market 07:00:00 40000 5 /dev/null 2>&1 &