#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
SIFS_User_HomeDir=$1
echo SIFS_User_HomeDir=$SIFS_User_HomeDir
User=$2
echo User=$User
Group=$3
echo Group=$Group
Metadata_Broker_IP=$4
echo Metadata_Broker_IP=$Metadata_Broker_IP
SSL_Truststore_Location=$5
echo SSL_Truststore_Location=$SSL_Truststore_Location
SSL_Truststore_Password=$6
echo SSL_Truststore_Password=$SSL_Truststore_Password
SSL_Keystore_Location=$7
echo SSL_Keystore_Location=$SSL_Keystore_Location
SSL_Keystore_Password=$8
echo SSL_Keystore_Password=$SSL_Keystore_Password
SSL_Key_Password=$9
echo SSL_Key_Password=$SSL_Key_Password
Bootstrap_Servers=${10}
echo Bootstrap_Servers=$Bootstrap_Servers
Kafka_Encrypt_KeyStore=${11}
echo Kafka_Encrypt_KeyStore=$Kafka_Encrypt_KeyStore
Kafka_Encrypt_KeyStore_Password=${12}
echo Kafka_Encrypt_KeyStore_Password=$Kafka_Encrypt_KeyStore_Password
Kafka_Encrypt_KeyPassword=${13}
echo Kafka_Encrypt_KeyPassword=$Kafka_Encrypt_KeyPassword
Kafka_Encrypt_Alias=${14}
echo Kafka_Encrypt_Alias=$Kafka_Encrypt_Alias
HDFS_Host=${15}
echo HDFS_Host=$HDFS_Host
DB_Host=${16}
echo DB_Host=$DB_Host
DB_Port=${17}
echo DB_Port=$DB_Port
DB_User=${18}
echo DB_User=$DB_User
DB_Password=${19}
echo DB_Password=$DB_Password
DB_TrustStore=${20}
echo DB_TrustStore=$DB_TrustStore
DB_TrustStore_Password=${21}
echo DB_TrustStore_Password=$DB_TrustStore_Password
Solr_Host=${22}
echo Solr_Host=$Solr_Host
Solr_Port=${23}
echo Solr_Port=$Solr_Port
Spark_Install_Location=${24}
echo Spark_Install_Location=$Spark_Install_Location
script_Location=${25}
echo script_Location=$script_Location
Kafka_Install_Location=${26}
echo Kafka_Install_Location=$Kafka_Install_Location
policyServiceUrl=${27}
echo policyServiceUrl=$policyServiceUrl
CreateCommREST=${28}
echo CreateCommREST=$CreateCommREST
entityServiceUrl=${29}
echo entityServiceUrl=$entityServiceUrl
classifierServiceUrl=${30}
echo classifierServiceUrl=$classifierServiceUrl
Security=${31}
echo Security=$Security
InferenceREST=${32}
echo InferenceREST=$InferenceREST
CreateAlertREST=${33}
echo CreateAlertREST=$CreateAlertREST
CreateEvidenceREST=${34}
echo CreateEvidenceREST=$CreateEvidenceREST
UpdateAlertREST=${35}
echo UpdateAlertREST=$UpdateAlertREST


MinOrderMarketShare=${36}
echo MinOrderMarketShare=$MinOrderMarketShare
FrontOrderTimeRange=${37}
echo FrontOrderTimeRange=$FrontOrderTimeRange
TradeDataSource=${38}
echo TradeDataSource=$TradeDataSource
FrontOrderMinScore=${39}
echo FrontOrderMinScore=$FrontOrderMinScore
OrderProximityMinScore=${40}
echo OrderProximityMinScore=$OrderProximityMinScore
FrontOrderQtyThreshold=${41}
echo FrontOrderQtyThreshold=$FrontOrderQtyThreshold
FTRWarehouseDirectory=${42}
echo FTRWarehouseDirectory=$FTRWarehouseDirectory
FTRHiveMetastoreUris=${43}
echo FTRHiveMetastoreUris=$FTRHiveMetastoreUris
FTRHiveAddress=${44}
echo FTRHiveAddress=$FTRHiveAddress


echo "Updating sifs.spark.properties"


if [[ "$Security" = "ON" ]] || [[ "$Security" = "OFF" ]]; then
   continue
        if [ $Security = "ON" ]; then
			sudo sed -i "s#HDFSFilePath=hdfs://<IP>:8020/user/sifsuser/#HDFSFilePath=hdfs://$HDFS_Host:8020/user/sifsuser/#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#db2jdbcurl=jdbc:db2://<IP>:50001/SIFS:sslConnection=true#db2jdbcurl=jdbc:db2://$DB_Host:$DB_Port/SIFS:sslConnection=true#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#db2user=db2inst1#db2user=$DB_User#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#db2password={xor}DzMrHjsyNjFu#db2password=$DB_Password#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#solrUrl=https://<IP>:<PORT>/SIFSServices/surveillanceui/v1/index/update#solrUrl=http://$Solr_Host:$Solr_Port/SIFSServices/surveillanceui/v1/index/update#g" $SIFS_User_HomeDir/lib/sifs.spark.properties				
			sudo sed -i "s#https://<IP>:<PORT>/CommServices/ecomm/policy#$policyServiceUrl#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/commservice/v1/createComm#$CreateCommREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/analytics/models/v1/analyzetext/#$entityServiceUrl#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/analytics/models/v1/model_predict/#$InferenceREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/alertservice/v1/alert/createAlert#$CreateAlertREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/alertservice/v1/alert/createEvidence#$CreateEvidenceREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/alertservice/v1/alert/updateAlert#$UpdateAlertREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#/home/sifsuser/#$SIFS_User_HomeDir#g" $SIFS_User_HomeDir/lib/sifs.spark.properties	
			#Front Running
			sudo sed -i "s#<MinOrderMarketShare>#$MinOrderMarketShare#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<FrontOrderTimeRange>#$FrontOrderTimeRange#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<TradeDataSource>#$TradeDataSource#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<MinOrderMarketShare>#$MinOrderMarketShare#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<FrontOrderMinScore>#$FrontOrderMinScore#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<OrderProximityMinScore>#$OrderProximityMinScore#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<FrontOrderQtyThreshold>#$FrontOrderQtyThreshold#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#jdbc:hive2://<IP>:<PORT>/user/hive/warehouse/#$FTRWarehouseDirectory#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#thrift://<IP>:<PORT>#$FTRHiveMetastoreUris#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#FTRHiveAddress=jdbc:hive2://<FTR_IP>:<FTR_PORT>/;serviceDiscoveryMode=zooKeeper;zooKeeperNamespace=<HIVE_SERVERNAME>#FTRHiveAddress=$FTRHiveAddress#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
        else
            sudo sed -i "s#HDFSFilePath=hdfs://<IP>:8020/user/sifsuser/#HDFSFilePath=hdfs://$HDFS_Host:8020/user/sifsuser/#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#db2jdbcurl=jdbc:db2://<IP>:50001/SIFS:sslConnection=true#db2jdbcurl=jdbc:db2://$DB_Host:$DB_Port/SIFS:sslConnection=false#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#db2user=db2inst1#db2user=$DB_User#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#db2password={xor}DzMrHjsyNjFu#db2password=$DB_Password#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#solrUrl=https://<IP>:<PORT>/SIFSServices/surveillanceui/v1/index/update#solrUrl=http://$Solr_Host:$Solr_Port/SIFSServices/surveillanceui/v1/index/update#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/CommServices/ecomm/policy#$policyServiceUrl#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/commservice/v1/createComm#$CreateCommREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/analytics/models/v1/analyzetext/#$entityServiceUrl#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/analytics/models/v1/model_predict/#$InferenceREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/alertservice/v1/alert/createAlert#$CreateAlertREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/alertservice/v1/alert/createEvidence#$CreateEvidenceREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#https://<IP>:<PORT>/SIFSServices/alertservice/v1/alert/updateAlert#$UpdateAlertREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			sudo sed -i "s#/home/sifsuser/#$SIFS_User_HomeDir#g" $SIFS_User_HomeDir/lib/sifs.spark.properties	
			#Front Running
			sudo sed -i "s#<MinOrderMarketShare>#$MinOrderMarketShare#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<FrontOrderTimeRange>#$FrontOrderTimeRange#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<TradeDataSource>#$TradeDataSource#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<MinOrderMarketShare>#$MinOrderMarketShare#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<FrontOrderMinScore>#$FrontOrderMinScore#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<OrderProximityMinScore>#$OrderProximityMinScore#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#<FrontOrderQtyThreshold>#$FrontOrderQtyThreshold#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#jdbc:hive2://<IP>:<PORT>/user/hive/warehouse/#$FTRWarehouseDirectory#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#thrift://<IP>:<PORT>#$FTRHiveMetastoreUris#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			sudo sed -i "s#FTRHiveAddress=jdbc:hive2://<FTR_IP>:<FTR_PORT>/;serviceDiscoveryMode=zooKeeper;zooKeeperNamespace=<HIVE_SERVERNAME>#FTRHiveAddress=$FTRHiveAddress#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			fi
else
  echo "Invalid Input, Please update build.properties"
  exit 1
fi

sudo chmod 755 $SIFS_User_HomeDir/lib/sifs.spark.properties
sudo chown $User:$Group $SIFS_User_HomeDir/lib/sifs.spark.properties
echo "Updating Spark Jobs Script"



if [[ "$Security" = "ON" ]] || [[ "$Security" = "OFF" ]]; then
   continue
        if [ $Security = "ON" ]; then
sudo sed -i "s#/usr/hdp/current/spark2-client#$Spark_Install_Location#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
sudo sed -i "s#/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar#$Kafka_Install_Location#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
sudo sed -i "s#/home/sifsuser#$SIFS_User_HomeDir#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
sudo sed -i "s#sifsuser#$User#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
else
sudo sed -i "s#/usr/hdp/current/spark2-client#$Spark_Install_Location#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
sudo sed -i "s#/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar#$Kafka_Install_Location#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
sudo sed -i "s#/home/sifsuser#$SIFS_User_HomeDir#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
sudo sed -i "s#sifsuser#$User#g" $SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh
fi
else
  echo "Invalid Input, Please update build.properties"
  exit 1
fi


#sudo chown $User:$Group $script_Location/deploy_spark_artifacts_secure_203.sh
#sudo chown $User:$Group $script_Location/deploy_spark_artifacts_nonsecure_203.sh

if [ $Security = "ON" ]; then
	#sudo chmod 777 $script_Location/deploy_spark_artifacts_secure_203.sh
	/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/deploy_spark_artifacts_secure_203.sh $TradeDataSource $User $SIFS_User_HomeDir" $User
else
	#sudo chmod 777 $script_Location/deploy_spark_artifacts_nonsecure_203.sh
	/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/deploy_spark_artifacts_nonsecure_203.sh $TradeDataSource $User $SIFS_User_HomeDir" $User
fi

