#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################


echo "==============================="
TradeDataSource=$1
echo "TradeDataSource=$TradeDataSource"
User=$2
echo "User=$User"
SIFS_User_HomeDir=$3
echo "SIFS_User_HomeDir=$SIFS_User_HomeDir"

kinit -kt /etc/security/keytabs/sifsuser.keytab sifsuser@IBM.COM

echo "==============================="
echo "Creating_Required_Folders"

hdfs dfs -mkdir -p /user/sifsuser/order
hdfs dfs -mkdir -p /user/sifsuser/execution
hdfs dfs -mkdir -p /user/sifsuser/positions
hdfs dfs -mkdir -p /user/sifsuser/trade
hdfs dfs -mkdir -p /user/sifsuser/EOD
hdfs dfs -mkdir -p /user/sifsuser/sifsdata
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/position_summary
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/positions
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/pump_dump
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/ticker_summary
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/trader_scores
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/transactions
hdfs dfs -mkdir -p /user/sifsuser/sifsdata/marketReference

echo "==============================="
echo "Copy Trade big data Files to HDFS"

hadoop fs -put /home/sifsuser/initPositions.csv /user/sifsuser/positions
hadoop fs -put /home/sifsuser/frontrunning/Order_2018-01-24_FR.csv /user/sifsuser/order/
hadoop fs -put /home/sifsuser/frontrunning/Order_2018-01-24_FIX.txt /user/sifsuser/order/
hadoop fs -put /home/sifsuser/frontrunning/trade_summary_2018-01-24.csv /user/sifsuser/trade/
hadoop fs -put /home/sifsuser/frontrunning/employees.csv /user/sifsuser/trade/

echo "==============================="
echo "PnDCollectEvidence"
/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_pndcollectevidence.sh" $User

echo "==============================="
echo "SpoofingEvidence"
/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_spoofingevidence.sh" $User

echo "==============================="
echo "TradeEvidencePersistence_OffMarket"
/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_tradeevidencepersistance.sh" $User

#echo "==============================="
#echo "OffMarketInference"
#/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_offmarket.sh" $User

if [ $TradeDataSource = "SI" ]; then
	echo "================================"
	echo "FrontRunning - Trade Data Processor - SI"
	/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_frontrunning_si.sh" $User
else
	echo "================================"
	echo "FrontRunning - Trade Data Processor - FTR"
	/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_frontrunning_ftr.sh" $User
fi
sleep 10
echo "================================"
echo "FrontRunning - Inference"
/bin/su -s /bin/bash -c "$SIFS_User_HomeDir/runspark_frontrunning_inference.sh" $User