#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
DATAPATH=/home/streamsadmin/PNDData
STINSTANCE=SIInstance
STDOMAIN=StreamsDomain

CONFIGPATH=$SIFS_HOME/config
SPOOFINGALERTTOPICNAME=sifs.spoofing.alert.in
PNDALERTTOPICNAME=sifs.pnd.alert.in
STRUCTURED_DATAFOLDER=/user/sifsuser
SIFS_DATAFOLDER=/user/sifsuser/sifsdata
AUTHKEYTAB=/etc/security/keytabs/sifsuser.keytab
AUTHPRINCIPAL=sifsuser@IBM.COM
KAFKA_ENCRYPT=true
HDFSUSER=sifsuser@IBM.COM

cd /home/streamsadmin/components/trade/analytics.pumpdumpsolution/TradeSummary
streamtool submitjob -C data-directory=${DATAPATH} output/com.ibm.sifs.pnd.sa.tradesummary.TradeSummaryMain.sab --embeddedzk -d $STDOMAIN -i $STINSTANCE  -U `whoami`

cd /home/streamsadmin/components/trade/analytics.pumpdumpsolution/PositionSummary
streamtool submitjob -C data-directory=${DATAPATH} -P structDataDirectory=${STRUCTURED_DATAFOLDER} -P authKeytab=${AUTHKEYTAB} -P authPrincipal=${AUTHPRINCIPAL} output/com.ibm.sifs.pnd.sa.positionsummary.PositionSummaryMain.sab --embeddedzk -d $STDOMAIN -i $STINSTANCE  -U `whoami`

cd /home/streamsadmin/components/trade/analytics.pumpdumpsolution/com.ibm.sifs.pnd.sa.pndrules
streamtool submitjob -C data-directory=/home/streamsadmin/PNDData -P usecaseId=1 output/com.ibm.sifs.pnd.sa.pndrules.PnDRulesMain.sab --embeddedzk -d $STDOMAIN -i $STINSTANCE  -U `whoami`

cd /home/streamsadmin/components/trade//analytics.persistevidence/ 
streamtool submitjob -C data-directory=${DATAPATH} -d $STDOMAIN --embeddedzk -i $STINSTANCE -U `whoami`  -P configPath=${CONFIGPATH} -P spoofingAlertTopicName=${SPOOFINGALERTTOPICNAME} -P pndAlertTopicName=${PNDALERTTOPICNAME} -P encryptionEnabled=${KAFKA_ENCRYPT} output/com.ibm.sifs.util.ProcessAlert.sab

cd /home/streamsadmin/components/trade/analytics.pumpdumpsolution/PNDPersistence/ 
streamtool submitjob -C data-directory=${DATAPATH} -P sifsDirectory=${SIFS_DATAFOLDER} -P authKeytab=${AUTHKEYTAB} -P authPrincipal=${AUTHPRINCIPAL} -P hdfsUser=${HDFSUSER} output/com.ibm.sifs.pnd.PNDPersistence.sab --embeddedzk -d $STDOMAIN -i $STINSTANCE  -U `whoami`

cd /home/streamsadmin/components/trade/analytics.dataloader/
streamtool submitjob -C data-directory=${DATAPATH} -d $STDOMAIN --embeddedzk -i $STINSTANCE -U `whoami`  -P structDataDirectory=${STRUCTURED_DATAFOLDER} -P authKeytab=${AUTHKEYTAB} -P authPrincipal=${AUTHPRINCIPAL} output/com.ibm.sifs.utils.loader.LoaderMain.sab
